Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 1895603002: [esnext] prototype runtime implementation for async functions (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 5 months ago by caitp (gmail)
Modified:
1 year, 4 months ago
CC:
v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@AsyncFunction
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[esnext] prototype runtime implementation for async functions BUG=v8:4483 LOG=N R=littledan@chromium.org, adamk@chromium.org Committed: https://crrev.com/d08c0304c5779223d6c468373af4815ec3ccdb84 Cr-Commit-Position: refs/heads/master@{#36263}

Patch Set 1 #

Patch Set 2 : add missing runtime assert fixes to runtime-generator.cc #

Patch Set 3 : don't optimize async funcs and fix phantom edits that broke tests #

Patch Set 4 : Disable optimization in another way, too, maybe this will do it #

Patch Set 5 : Partially fix `throw` completions (resumption works, but no resumption doesn't) #

Total comments: 6

Patch Set 6 : bit of cleanup #

Patch Set 7 : fix remaining brokenness in throw resuming #

Total comments: 1

Patch Set 8 : majorly improve stack traces, get rid of self-spawning behaviour, create inner generator function #

Total comments: 1

Patch Set 9 : fix stack overflow (I think), make async arrows work(ish) #

Patch Set 10 : add more tests, fix some things (I think) #

Patch Set 11 : rebase over that recent generator changes just in case #

Patch Set 12 : rebase over generator change cl #

Patch Set 13 : Try new strategy (Option C) #

Total comments: 3

Patch Set 14 : bit of cleanup #

Patch Set 15 : rebased :> #

Patch Set 16 : do a better job rebasing :> #

Patch Set 17 : some misc fixes + update the new v8.gyp too #

Total comments: 2

Patch Set 18 : disable ignition for async functions :( #

Patch Set 19 : disable opt too to fix test variants ._< #

Total comments: 2

Patch Set 20 : First try at code stub with JS linkage for resuming #

Total comments: 1

Patch Set 21 : Revert to implementation in builtins.cc, SetNativeFlag rather than hacks #

Patch Set 22 : Rebase for dependent CL #

Patch Set 23 : properly rebase #

Total comments: 26

Patch Set 24 : Rebase (untested --- might be broken) #

Patch Set 25 : Fix arrow-parsing issue caused by rebase __again__ D: #

Patch Set 26 : rebase with FE fix #

Patch Set 27 : Add AsyncFunction constructor #

Total comments: 4

Patch Set 28 : don't rewrite AwaitExpression unless generator object is already created #

Patch Set 29 : Fix most and/or all comments #

Patch Set 30 : And rebased after cleaning those things up #

Total comments: 1

Patch Set 31 : Fix up a few more nits #

Patch Set 32 : Fixed HTML comment parsing #

Patch Set 33 : update bytecode expectations (CallRuntime.golden) #

Total comments: 2

Patch Set 34 : remove weird arrow-generator thing #

Total comments: 16

Patch Set 35 : Address neis' comments #

Patch Set 36 : make non-clang happy #

Patch Set 37 : Fix more bugs #

Total comments: 3

Patch Set 38 : Rebase over frontend changes #

Patch Set 39 : Remove duplicate enums that snuck in by accident #

Patch Set 40 : fix test nits #

Total comments: 4

Patch Set 41 : Update comment in builtins.cc #

Patch Set 42 : #

Patch Set 43 : #

Patch Set 44 : #

Patch Set 45 : #

Total comments: 3

Patch Set 46 : Add a bunch of new tests and fix construct stub #

Patch Set 47 : rewrite AwaitExpression more like YieldExpression #

Patch Set 48 : #

Patch Set 49 : remove `flushMicrotasks()` :( #

Total comments: 3

Patch Set 50 : Don't put assert*Async helpers in mjsunit.js #

Total comments: 8

Patch Set 51 : fix some nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+938 lines, -79 lines) Patch
M BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +1 line, -0 lines 0 comments Download
M src/bootstrapper.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 5 chunks +66 lines, -1 line 0 comments Download
M src/builtins.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 1 chunk +1 line, -0 lines 0 comments Download
M src/builtins.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 1 chunk +7 lines, -0 lines 0 comments Download
M src/code-stubs.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 1 chunk +1 line, -1 line 0 comments Download
M src/compiler.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +1 line, -1 line 0 comments Download
M src/contexts.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 4 chunks +56 lines, -45 lines 0 comments Download
M src/factory.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 2 chunks +6 lines, -1 line 0 comments Download
M src/globals.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 35 36 37 1 chunk +1 line, -0 lines 0 comments Download
A src/js/harmony-async-await.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +43 lines, -0 lines 0 comments Download
M src/js/prologue.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 2 chunks +5 lines, -0 lines 0 comments Download
M src/js/promise.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 3 chunks +16 lines, -0 lines 0 comments Download
M src/objects.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 2 chunks +2 lines, -2 lines 0 comments Download
M src/parsing/parser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 5 chunks +22 lines, -3 lines 0 comments Download
M src/parsing/parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 7 chunks +139 lines, -11 lines 0 comments Download
M src/parsing/parser-base.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +16 lines, -9 lines 0 comments Download
M src/parsing/preparser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 2 chunks +6 lines, -2 lines 0 comments Download
M src/parsing/preparser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 1 chunk +13 lines, -0 lines 0 comments Download
M src/runtime/runtime-generator.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 2 chunks +2 lines, -2 lines 0 comments Download
M src/v8.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 1 chunk +1 line, -0 lines 0 comments Download
M test/cctest/interpreter/bytecode_expectations/CallRuntime.golden View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +1 line, -1 line 0 comments Download
A test/mjsunit/harmony/async-arrow-lexical-arguments.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +42 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/async-arrow-lexical-new.target.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +43 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/async-arrow-lexical-super.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +58 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/async-arrow-lexical-this.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +48 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/async-await-basic.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +338 lines, -0 lines 0 comments Download
M test/mjsunit/mjsunit.status View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 82 (21 generated)
caitp (gmail)
I hacked together a (partial) prototype today In order to share more with the generators ...
1 year, 5 months ago (2016-04-16 02:19:40 UTC) #1
caitp (gmail)
On 2016/04/16 02:19:40, caitp wrote: > I hacked together a (partial) prototype today > > ...
1 year, 5 months ago (2016-04-16 18:17:27 UTC) #5
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/140001/src/builtins.cc File src/builtins.cc (left): https://codereview.chromium.org/1895603002/diff/140001/src/builtins.cc#oldcode2331 src/builtins.cc:2331: JSGeneratorObject::ResumeMode resume_mode, char const* const method_name) { None of ...
1 year, 5 months ago (2016-04-16 18:20:20 UTC) #6
caitp (gmail)
(self review) https://codereview.chromium.org/1895603002/diff/140001/src/contexts.h File src/contexts.h (right): https://codereview.chromium.org/1895603002/diff/140001/src/contexts.h#newcode145 src/contexts.h:145: V(PROMISE_CREATE_REJECTED_INDEX, JSFunction, promise_create_rejected) \ admittedly, PromiseCreateResolved doesn't ...
1 year, 5 months ago (2016-04-16 18:33:03 UTC) #7
caitp (gmail)
a few more bits fixed up https://codereview.chromium.org/1895603002/diff/180001/src/frames.cc File src/frames.cc (right): https://codereview.chromium.org/1895603002/diff/180001/src/frames.cc#newcode870 src/frames.cc:870: if (code == ...
1 year, 5 months ago (2016-04-16 20:09:31 UTC) #8
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/340001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/340001
1 year, 5 months ago (2016-04-26 22:01:05 UTC) #10
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/200001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1895603002/diff/200001/src/parsing/parser.cc#newcode4496 src/parsing/parser.cc:4496: DCHECK_NOT_NULL(function_state_->generator_object_variable()); these don't really add much, but since they're ...
1 year, 5 months ago (2016-04-26 22:01:31 UTC) #11
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_rel_ng/builds/4886) v8_linux_rel_ng on ...
1 year, 5 months ago (2016-04-26 22:04:26 UTC) #13
caitp (gmail)
On 2016/04/26 22:04:26, commit-bot: I haz the power wrote: > Dry run: Try jobs failed ...
1 year, 5 months ago (2016-04-26 22:37:05 UTC) #14
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/360001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/360001
1 year, 5 months ago (2016-04-26 23:57:55 UTC) #16
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_avx2_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_avx2_rel_ng/builds/766) v8_linux64_avx2_rel_ng_triggered on ...
1 year, 5 months ago (2016-04-27 00:13:43 UTC) #18
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/380001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/380001
1 year, 5 months ago (2016-04-27 00:54:25 UTC) #20
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/380001/test/mjsunit/mjsunit.status File test/mjsunit/mjsunit.status (right): https://codereview.chromium.org/1895603002/diff/380001/test/mjsunit/mjsunit.status#newcode59 test/mjsunit/mjsunit.status:59: 'harmony/async-arrow-lexical-super': [FAIL], So yeah, finally working again after those ...
1 year, 5 months ago (2016-04-27 01:03:10 UTC) #21
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_avx2_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_avx2_rel_ng/builds/768) v8_linux64_avx2_rel_ng_triggered on ...
1 year, 5 months ago (2016-04-27 01:08:04 UTC) #23
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/400001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/400001
1 year, 5 months ago (2016-04-27 02:07:37 UTC) #25
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_mac_rel_ng on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_mac_rel_ng/builds/777) v8_mac_rel_ng_triggered on ...
1 year, 5 months ago (2016-04-27 02:21:08 UTC) #27
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/420001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/420001
1 year, 5 months ago (2016-04-27 03:36:35 UTC) #29
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
1 year, 5 months ago (2016-04-27 03:58:26 UTC) #31
Benedikt Meurer
Looking good, some initial comments on the low level bits. https://codereview.chromium.org/1895603002/diff/420001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1895603002/diff/420001/src/builtins.cc#newcode2370 ...
1 year, 4 months ago (2016-05-02 02:16:47 UTC) #33
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/420001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1895603002/diff/420001/src/builtins.cc#newcode2370 src/builtins.cc:2370: void Generate_GeneratorPrototypeResume( On 2016/05/02 02:16:47, Benedikt Meurer wrote: > ...
1 year, 4 months ago (2016-05-02 14:45:46 UTC) #34
caitp (gmail)
1 year, 4 months ago (2016-05-02 14:45:47 UTC) #35
caitp (gmail)
1 year, 4 months ago (2016-05-02 14:45:52 UTC) #36
Benedikt Meurer (Google)
On 2016/05/02 14:45:46, caitp wrote: > https://codereview.chromium.org/1895603002/diff/420001/src/builtins.cc > File src/builtins.cc (right): > > https://codereview.chromium.org/1895603002/diff/420001/src/builtins.cc#newcode2370 > ...
1 year, 4 months ago (2016-05-03 02:16:14 UTC) #37
caitp (gmail)
I had a stab at writing the CodeStub version of this resume behaviour, but (as ...
1 year, 4 months ago (2016-05-04 01:24:17 UTC) #38
Benedikt Meurer
On 2016/05/04 01:24:17, caitp wrote: > I had a stab at writing the CodeStub version ...
1 year, 4 months ago (2016-05-04 04:19:15 UTC) #39
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/380001/test/mjsunit/mjsunit.status File test/mjsunit/mjsunit.status (right): https://codereview.chromium.org/1895603002/diff/380001/test/mjsunit/mjsunit.status#newcode59 test/mjsunit/mjsunit.status:59: 'harmony/async-arrow-lexical-super': [FAIL], On 2016/04/27 at 01:03:09, caitp wrote: > ...
1 year, 4 months ago (2016-05-04 22:52:36 UTC) #40
Benedikt Meurer
https://codereview.chromium.org/1895603002/diff/500001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1895603002/diff/500001/src/builtins.cc#newcode2490 src/builtins.cc:2490: } From my POV, these are separate primarily because ...
1 year, 4 months ago (2016-05-05 19:04:45 UTC) #41
caitp (gmail)
hmm, will investigate the ASAN failures today
1 year, 4 months ago (2016-05-06 16:15:09 UTC) #42
Dan Ehrenberg
It looks here like AsyncFunction is created as a base class, but it needs to ...
1 year, 4 months ago (2016-05-06 16:19:25 UTC) #43
caitp (gmail)
On 2016/05/06 16:19:25, Dan Ehrenberg wrote: > It looks here like AsyncFunction is created as ...
1 year, 4 months ago (2016-05-06 18:45:26 UTC) #44
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/640001/src/profiler/sampler.cc File src/profiler/sampler.cc (right): https://codereview.chromium.org/1895603002/diff/640001/src/profiler/sampler.cc#newcode337 src/profiler/sampler.cc:337: Simulator* simulator = isolate->thread_local_top()->simulator_; This is `git cl format`'s ...
1 year, 4 months ago (2016-05-06 18:46:55 UTC) #45
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/500001/src/factory.cc File src/factory.cc (right): https://codereview.chromium.org/1895603002/diff/500001/src/factory.cc#newcode1230 src/factory.cc:1230: map.is_identical_to(isolate()->strict_function_without_prototype_map()) || On 2016/05/06 at 18:45:26, caitp wrote: > ...
1 year, 4 months ago (2016-05-09 23:02:54 UTC) #46
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/700001/src/globals.h File src/globals.h (right): https://codereview.chromium.org/1895603002/diff/700001/src/globals.h#newcode993 src/globals.h:993: kind == FunctionKind::kArrowGeneratorFunction; On 2016/05/09 23:02:54, Dan Ehrenberg wrote: ...
1 year, 4 months ago (2016-05-10 00:34:58 UTC) #47
neis
Hi Caitlin, could you rebase this again, or tell me on which checkout it applies ...
1 year, 4 months ago (2016-05-10 10:59:06 UTC) #48
neis
On 2016/05/10 10:59:06, neis wrote: > Hi Caitlin, could you rebase this again, or tell ...
1 year, 4 months ago (2016-05-10 11:57:03 UTC) #49
caitp (gmail)
On 2016/05/10 11:57:03, neis wrote: > On 2016/05/10 10:59:06, neis wrote: > > Hi Caitlin, ...
1 year, 4 months ago (2016-05-10 12:06:39 UTC) #50
neis
Looking good overall. Here's a first round of comments. - The async draft extends the ...
1 year, 4 months ago (2016-05-11 09:45:17 UTC) #53
caitp (gmail)
I've updated the frontend CL add async methods to the SpecialMethod handling https://codereview.chromium.org/1895603002/diff/720001/src/parsing/parser.cc File src/parsing/parser.cc ...
1 year, 4 months ago (2016-05-11 13:42:23 UTC) #54
Dan Ehrenberg
Just for the record, but it doesn't need to be addressed in this patch: the ...
1 year, 4 months ago (2016-05-11 18:00:51 UTC) #55
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/780001/test/mjsunit/harmony/async-arrow-lexical-super.js File test/mjsunit/harmony/async-arrow-lexical-super.js (right): https://codereview.chromium.org/1895603002/diff/780001/test/mjsunit/harmony/async-arrow-lexical-super.js#newcode3 test/mjsunit/harmony/async-arrow-lexical-super.js:3: // found in the LICENSE file. This test passes ...
1 year, 4 months ago (2016-05-12 02:10:33 UTC) #56
neis
https://codereview.chromium.org/1895603002/diff/840001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1895603002/diff/840001/src/builtins.cc#newcode2506 src/builtins.cc:2506: // ES6 section 25.3.1.4 Generator.prototype.throw ( exception ) wrong ...
1 year, 4 months ago (2016-05-12 16:34:23 UTC) #57
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/840001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1895603002/diff/840001/src/builtins.cc#newcode2506 src/builtins.cc:2506: // ES6 section 25.3.1.4 Generator.prototype.throw ( exception ) On ...
1 year, 4 months ago (2016-05-12 16:38:39 UTC) #58
neis
> We mark these as native, which prevents them from being included in the stack ...
1 year, 4 months ago (2016-05-12 16:41:38 UTC) #59
neis
On 2016/05/12 16:41:38, neis wrote: > > We mark these as native, which prevents them ...
1 year, 4 months ago (2016-05-12 16:42:12 UTC) #60
neis
On 2016/05/12 16:42:12, neis wrote: > On 2016/05/12 16:41:38, neis wrote: > > > We ...
1 year, 4 months ago (2016-05-13 08:54:42 UTC) #61
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc File src/bootstrapper.cc (right): https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc#newcode2483 src/bootstrapper.cc:2483: *isolate->builtins()->GeneratorFunctionConstructor()); You probably meant to write AsyncFunctionConstructor here (which ...
1 year, 4 months ago (2016-05-13 18:39:51 UTC) #62
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc File src/bootstrapper.cc (right): https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc#newcode2483 src/bootstrapper.cc:2483: *isolate->builtins()->GeneratorFunctionConstructor()); On 2016/05/13 18:39:51, Dan Ehrenberg wrote: > You ...
1 year, 4 months ago (2016-05-13 18:41:13 UTC) #63
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc File src/bootstrapper.cc (right): https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc#newcode2483 src/bootstrapper.cc:2483: *isolate->builtins()->GeneratorFunctionConstructor()); On 2016/05/13 18:39:51, Dan Ehrenberg wrote: > You ...
1 year, 4 months ago (2016-05-13 18:41:14 UTC) #64
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc File src/bootstrapper.cc (right): https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc#newcode2483 src/bootstrapper.cc:2483: *isolate->builtins()->GeneratorFunctionConstructor()); On 2016/05/13 at 18:41:14, caitp wrote: > On ...
1 year, 4 months ago (2016-05-13 18:53:37 UTC) #65
caitp (gmail)
On 2016/05/13 18:53:37, Dan Ehrenberg wrote: > https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc > File src/bootstrapper.cc (right): > > https://codereview.chromium.org/1895603002/diff/940001/src/bootstrapper.cc#newcode2483 ...
1 year, 4 months ago (2016-05-13 19:16:18 UTC) #66
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/1020001/test/mjsunit/mjsunit.js File test/mjsunit/mjsunit.js (right): https://codereview.chromium.org/1895603002/diff/1020001/test/mjsunit/mjsunit.js#newcode309 test/mjsunit/mjsunit.js:309: %RunMicrotasks(); Won't this throw without --allow-natives-syntax? Maybe these library ...
1 year, 4 months ago (2016-05-16 22:36:47 UTC) #67
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/1020001/test/mjsunit/mjsunit.js File test/mjsunit/mjsunit.js (right): https://codereview.chromium.org/1895603002/diff/1020001/test/mjsunit/mjsunit.js#newcode309 test/mjsunit/mjsunit.js:309: %RunMicrotasks(); On 2016/05/16 22:36:47, Dan Ehrenberg wrote: > Won't ...
1 year, 4 months ago (2016-05-16 22:40:00 UTC) #68
caitp (gmail)
1 year, 4 months ago (2016-05-16 22:40:05 UTC) #69
Dan Ehrenberg
https://codereview.chromium.org/1895603002/diff/1020001/test/mjsunit/mjsunit.js File test/mjsunit/mjsunit.js (right): https://codereview.chromium.org/1895603002/diff/1020001/test/mjsunit/mjsunit.js#newcode309 test/mjsunit/mjsunit.js:309: %RunMicrotasks(); On 2016/05/16 at 22:39:59, caitp wrote: > On ...
1 year, 4 months ago (2016-05-16 22:49:20 UTC) #70
Dan Ehrenberg
Just a couple nits, then we're good to go https://codereview.chromium.org/1895603002/diff/1040001/src/d8.h File src/d8.h (right): https://codereview.chromium.org/1895603002/diff/1040001/src/d8.h#newcode406 src/d8.h:406: ...
1 year, 4 months ago (2016-05-16 23:01:16 UTC) #71
caitp (gmail)
https://codereview.chromium.org/1895603002/diff/1040001/src/d8.h File src/d8.h (right): https://codereview.chromium.org/1895603002/diff/1040001/src/d8.h#newcode406 src/d8.h:406: static void FlushMicrotasks(const v8::FunctionCallbackInfo<v8::Value>& args); On 2016/05/16 23:01:16, Dan ...
1 year, 4 months ago (2016-05-16 23:08:31 UTC) #72
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/1060001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/1060001
1 year, 4 months ago (2016-05-16 23:45:12 UTC) #74
Dan Ehrenberg
lgtm
1 year, 4 months ago (2016-05-16 23:45:32 UTC) #75
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1895603002/1060001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1895603002/1060001
1 year, 4 months ago (2016-05-16 23:56:06 UTC) #78
commit-bot: I haz the power
Committed patchset #51 (id:1060001)
1 year, 4 months ago (2016-05-17 00:27:06 UTC) #80
commit-bot: I haz the power
1 year, 4 months ago (2016-05-17 00:28:03 UTC) #82
Message was sent while issue was closed.
Patchset 51 (id:??) landed as
https://crrev.com/d08c0304c5779223d6c468373af4815ec3ccdb84
Cr-Commit-Position: refs/heads/master@{#36263}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b